Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
KeyCode Struct Reference

Simple data-struct representing a key-stroke on the keyboard. More...

`#include <keycodes.h>`

## Public Member Functions
SMTG_CONSTEXPR14 | KeyCode (char character=0, uint8 virt=0, uint8 modifier=0)
| Constructs a new KeyCode.
SMTG_CONSTEXPR14 KeyCode & | operator= (const KeyCode &other) SMTG_NOEXCEPT

## Public Attributes
char | character {0}
| The associated character.
uint8 | virt {0}
| The associated virtual key-code.
uint8 | modifier {0}
| The associated virtual modifier-code.

## Detailed Description

Simple data-struct representing a key-stroke on the keyboard.

## Constructor & Destructor Documentation

## ◆ KeyCode()

SMTG_CONSTEXPR14 KeyCode | ( | char | character = 0,
|  | uint8 | virt = 0,
|  | uint8 | modifier = 0 )
| inline

Constructs a new KeyCode.

## Member Function Documentation

## ◆ operator=()

SMTG_CONSTEXPR14 KeyCode & operator= | ( | const KeyCode & | other | ) |
| inline

## Member Data Documentation

## ◆ character

char character {0}

The associated character.

## ◆ virt

uint8 virt {0}

The associated virtual key-code.

## ◆ modifier

uint8 modifier {0}

The associated virtual modifier-code.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.